Skyrim
Help us shape the future of the Vortex mod manager by taking our survey

File information

Last updated

Original upload

Created by

Wrye Bash Team

Uploaded by

lojack

Virus scan

Safe to use

3881 comments

Comments locked

The author has locked this comment topic for the time being
  1. Sharlikran
    Sharlikran
    • supporter
    • 7,151 posts
    • 627 kudos
    Locked
    Sticky

    Updating Wrye Bash - Troubleshooting :

    Spoiler:  
    Show

    "WINDOWS PROTECTED YOUR PC - DONT RUN" : If you get this message when trying to run the Installer, click MORE INFO instead of dont run, and you will get the button to run it. Windows did not detect anything bad, it is just being overly cautious about uncommon executable files.

    Problems after updating Wrye Bash :

    Spoiler:  
    Show

    Problems loading the GAME :

    Spoiler:  
    Show

    >> REPORTING A BUG <<

    We can not help with Vortex / NMM / MO / MO2 / TMM related issues

    For Wrye Bash issues when run via MO/2, report your issues here ..
    MO2 Discord or MO2 GitHub page

    Do not post about Skyrim or Fallout 4 VR support, modding those games is not currently supported by Bethesda, and until there is at least a Creation Kit for them there is no point in attempting to make Wrye Bash compatible - Any suggestions that it does work with the VR games will be deleted due to not being supported / endorsed in any way by the Wrye Bash development team

    News

    307 BETA 3 (2018 07 04 00:57) is now uploaded for testing

    Spoiler:  
    Show

    Wrye Bash Discord

    Wrye Bash Discord Link

  2. Sharlikran
    Sharlikran
    • supporter
    • 7,151 posts
    • 627 kudos
    Locked
    Sticky
    Completly Unsupported Enviorments

    It has come to my attention that I have to reiterate this even though I don't feel it would be necessary. There is no support for other mod managers as mentioned on the description page and the first sticky post. This includes Mod Organizer, Mod Organizer 2, and Vortex. In addition to that Windows is the only supported operation system. Which means there is no support for Macintosh, Wine, Linux, or Valve's Proton used with Steam for Wine.

    Latest Developmental News

    If you downloaded 307.201903301944 or 307.201903311313 from the Nexus they had issues. There wasn't another alternative and it caused some confusion. Get the most recent official code from Dropbox.

    People have been posting their bug reports here in the comments section. Unfortunately the current maintainers are not very active and having 6 comments sections, a discord channel, a GitHub issue tracker, and a thread on AFK mods seems to be making it really difficult for those making changes to get any useful feedback.

    If the current maintainers broke something what I did was let them know on discord and then I removed the broken code and made a fix so users had a working version. That made it so there was only one place to look for issues because of recent changes. The problem is that Utumno was not reading that, and Ganda and Inferno have been working on real life such as school mostly. It still wasn't efficient for them to get feedback and nothing was getting fixed.

    Users with MO2 and Windows 7 have an issue where Wrye Bash will hang when you try to make a bash patch. The MO2 devs have a workaround and are trying to resolve it. However they don't use Windows 7 so fixing that means they have to have users test the changes and report back to them. I don't even know if the issue has been resolved at this time.

    Users with MO2 and Windows 10 also had issues and to resolve them the MO2 devs said to update from Windows 10 1803 to Windows 10 1809. This is more of an issue because the devs can not revert their version of windows back to 1803 and make a fix for MO2. What that means for users is they have to download the Windows 10 Update Assistant and force the update. For some forcing the update did not work and to resolve that you would need to contact Windows or at the very least search google for a way to force the update when it fails. Without doing this users are not able to launch Wrye Bash from MO2. For all MO2 related issues you do need to go to the MO2 comments section.

    Folder in use:
    Spoiler:  
    Show


    Action aborted by user:
    Spoiler:  
    Show


    Users with LOOT 14.x and MSVC 2017 using the standalone EXE have an issue where Wrye Bash simply crashes and doesn't work at all. I don't even think there is a log file generated. This error is more complex as it will require changes to Wrye Bash (I don't think the team knows what to change) or changes to py2exe which is written in C and I don't think that will happen. However, it still has to be resolved. What I have found is that for LOOT 14.x you can only get the LOOT API to automatically import bash tags if you install the Python version of Wrye Bash.

    Users with OBSE and MO2, have to use a workaround because OBSE doesn't work for some reason with MO2.

    I have to try something or issues will not get resolved. I think it might be best for people to use the official updates available from Dropbox. When you encounter an error you will be told as part of the error to go to AFK mods and report the issue. Please do that so there is only one place the current maintainers need to go to look for bug reports.

    For these reasons the comments sections will be locked for the time being. This is to get the current maintainers the information they need to fix any issues they may create as they make updates.

    Again if you have Vortex, MO/MO2, or any other mod manager you need to contact them first. We can not assist with the use of Wrye Bash with them because we do not use any other mod managers.

    If you have reported an issue with the current build from DropBox and you can not use Wrye Bash then you may download what I use v307.201904161810 from GitHub. If you use MO2 then my version will still not resolve any issues until you update to Windows 10 1809 and MO2 2.2.0.
  3. TheForgottenGirl
    TheForgottenGirl
    • member
    • 46 posts
    • 0 kudos
    Wrye Bash screwed up my load order when I installed it. Does anyone know how to make it so Wrye Bash doesn't modify the load order automatically?
  4. mallkoran23
    mallkoran23
    • member
    • 4 posts
    • 0 kudos
    Hi, I had such a problem! 
     
    http://skrinshoter.ru/s/280320/jbUNZbVy
     
    The version of the program is the latest! I play on the SLMP-GR assembly, Wrye Bash was installed there, but it was old enough, so I uninstalled it and installed a new one, now it does not start.
     
    By the way, version 307.b1 works without any complaints about the error, what could be the problem?
  5. Wormwood88
    Wormwood88
    • member
    • 17 posts
    • 0 kudos
    Hey,
     
    I have a problem getting Wrye Bash to run for Skyrim SE. For whatever reason when I try to open it via the executable file or through Mod Organizer 2 it just won't launch.
    All that happens is the small "loading" icon to the right of the mouse pointer appears for a few seconds, then nothing.
    Wrye Bash works just fine for Oblivion, though.
     
    I've tried googling the problem but can't find anyone else who has this problem, as most get some sort of error message.
  6. DagothBob
    DagothBob
    • premium
    • 227 posts
    • 3 kudos


    Hy People, and Happy New Year!

    I've encountered a problem with my wrye Bash. For Some Weird reason, when i click Rebuild Bashed Patch, the small window that pops up doesn't show the Merge Plugins check box anymore.
    Only These Check boxes are shown:
     
    Import cells
    import graphics
    Import inventory
    Import keywords
    Import names
    Import Sounds
    Import stats
    Import Text
    Tweak Settings
    Leveled Lists
     
    I've done this enought times, i know how it works but i just can't figure out why's that option vanished. I've also reinstalled Wyre Bash multiple times, but nothing.. Reinstalled the whole Game too, but still nothing.
    So i'm sitting here clueless about this issue. It very well could be some basic little thing that keeps avoiding my attention, like ticking something in the setting tab or something like that.
    I really need Merge ESP's, because i'm using a ton of mods, and planning to try out new ones in the near future too.
    Any Help would be Welcomed & Appreciated.
     


    I'm OK with that but man oh man is it slow now......  from a 40 second maximum to more than 5 minutes. I suspect I will drop back a couple versions.
  7. Nysrogh666
    Nysrogh666
    • member
    • 2 posts
    • 0 kudos
    Hy People, and Happy New Year!

    I've encountered a problem with my wrye Bash. For Some Weird reason, when i click Rebuild Bashed Patch, the small window that pops up doesn't show the Merge Plugins check box anymore.
    Only These Check boxes are shown:
     
    Import cells
    import graphics
    Import inventory
    Import keywords
    Import names
    Import Sounds
    Import stats
    Import Text
    Tweak Settings
    Leveled Lists
     
    I've done this enought times, i know how it works but i just can't figure out why's that option vanished. I've also reinstalled Wyre Bash multiple times, but nothing.. Reinstalled the whole Game too, but still nothing.
    So i'm sitting here clueless about this issue. It very well could be some basic little thing that keeps avoiding my attention, like ticking something in the setting tab or something like that.
    I really need Merge ESP's, because i'm using a ton of mods, and planning to try out new ones in the near future too.
    Any Help would be Welcomed & Appreciated.
     
  8. MoonNymph
    MoonNymph
    • member
    • 310 posts
    • 5 kudos
    WB with MO2...

    I've see that some people are having this issue. I'm not sure why it's more but once upon time perhaps last month WB via MO2 was working great and now it's not. Constantly saying that a folder in it is opened by another program. Nothing on my computer has changed.

    After I cancel it I get another window from WB with this info. Thought it might help figuring out the issue? I know it works fine outside of MO so it is a MO issue. The problem with that is that MO users need it to run in MO or their mods won't be listed.

    Traceback (most recent call last):
    File "bash\bash.pyo", line 322, in _main
    File "bash\env.pyo", line 652, in testUAC
    File "bash\env.pyo", line 570, in shellDeletePass
    File "bash\env.pyo", line 561, in shellDelete
    File "bash\env.pyo", line 527, in _fileOperation
    CancelError: Action aborted by user.
    1. Sharlikran
      Sharlikran
      • supporter
      • 7,151 posts
      • 627 kudos
      Known MO2 issue read the sticky post. In fact if you had read the previous comments you would have seen it has been asked or mentioned twice already. So your post makes it a third post of the same issue and it can not be resolved by updating Wrye Bash.

      This has nothing to do with Wrye Bash. Update Windows 10 or talk to the MO2 devs.
  9. SammySahm
    SammySahm
    • premium
    • 267 posts
    • 5 kudos
    Just an FYI in case anyone else had trouble finding a solution to this:
    Using Windows 10, every time I tried to open WB through MO2, I got "can't start, folder open in another place" or something like that.
    Solution: needed to update to v.1809 from 1803, with all the minor updates that came along with that one.
    Hopefully this helps if you're as sloppy about upgrades as I am. ;)

    @MoonNymph - Yes, it's a Windows 10 update, just check in settings/update and security.
    1. dark20345
      dark20345
      • member
      • 2 posts
      • 0 kudos
      Thank you for posting this!
      Not used WyreBash in MO2 before and I was met with this error, so I'm glad I found the solution from someone,
      even though it was just a windows update :p
    2. MoonNymph
      MoonNymph
      • member
      • 310 posts
      • 5 kudos
      I'm having the same issue. I'm not sure what you're referring to update. Is it Windows update?
  10. DesertDancer
    DesertDancer
    • member
    • 8 posts
    • 0 kudos
    Wyre Bash was working the other day (I was using it for an esp mod to recognized as a master for another mod I have been trying to work on in creation kit) then suddenly it won't start up and not getting any error messages either, it just doesn't do anything. The biggest change is that my computer just got an update; but not sure if that would affect anything or not.

    I have windows 10 and I know it seemed to block other problems from running as well. Windows 10 is really weird.

    Edit-I was watching a YouTube video and it seems to be a common issue with windows 10 and I need to update or install python. So I will try that and see if it would help.


    I tried starting the game up in steam and MO to see if that would help and still nothing. It seems to be a windows 10 issue I am guessing that is preventing Wyre from starting up now.

    Edit-I made sure that python and that version was installed and got it to work finally even if the stand alone version doesn't.
    1. Sharlikran
      Sharlikran
      • supporter
      • 7,151 posts
      • 627 kudos
      Wrye Bash runs fine in Windows 10. There is no issue with it at all. I have mostly seen issues related to MO2 and Windows 10 but that's an MO2 issue and the solution is to upgrade from 1803 to 1809.

      I have also seen people have issues with LOOT v0.14.x and Wrye Bash. That is caused by the difference in MSVC redist that LOOT requires. v0.14.x requires 2017 and older versions require 2015. There are issues with how Wrye Bash works with them. To resolve that you use the version in the sticky post. Although apparently the LOOT API is broken with the standalone EXE and to have access to the Bash Tags you are forced stick with an older version (see below), apply the bash tags manually, or use the Python version for now until someone can come up with a way to fix Wrye Bash and how it interfaces with the LOOT API.

      Spoiler:  
      Show
  11. DancingHoskuld
    DancingHoskuld
    • premium
    • 132 posts
    • 1 kudos
    Sometime in the last two weeks Wrye Bash has stopped recognizing Skyrim on my machine. I can play Skyrim but when I run WB it only shows Oblivion. I downloaded the current version (again) but when I try to install it it only finds Oblivion. Missing Morrowind and Skyrim.

    Anyone have any clues as to what may have gone wrong?

    edit - mea culpa

    I forgot that I had validated the files in Steam and had not reinitalized by playing through steam
    1. DancingHoskuld
      DancingHoskuld
      • premium
      • 132 posts
      • 1 kudos
      mea culppa!

      I had forgotten that I had some files corrupted and had to validate via steam. That meant I had to reinitialize stuff.
    2. Sharlikran
      Sharlikran
      • supporter
      • 7,151 posts
      • 627 kudos
      No Morrowind support you use Wrye Mash.

      Otherwise, yes you have to run the official launcher if you have that issue.
  12. nuyonrekting
    nuyonrekting
    • member
    • 68 posts
    • 0 kudos
    i cant see the master list files from the right side its minimized how do i change the ui? thanks
    1. Sharlikran
      Sharlikran
      • supporter
      • 7,151 posts
      • 627 kudos
      Just drag the sizer. I don't have a good screen shot. You move the mouse to the part you want to drag and if the CRSR doesn't change keep moving it. When you see the left and right arrow or the up and down arrow then you click and drag it. Since that's a windows function we don't have control over that. That doesn't work on just the borders of the main window. It will work on the smaller windows like the masters box.